Search Unity

  1. Welcome to the Unity Forums! Please take the time to read our Code of Conduct to familiarize yourself with the forum rules and how to post constructively.
  2. Have a look at our Games Focus blog post series which will show what Unity is doing for all game developers – now, next year, and in the future.
    Dismiss Notice

Question Upgrading IAP Package from 3.X to 4.4.1 and samsung

Discussion in 'Unity Distribution Portal (UDP)' started by Le_Poulet, Sep 6, 2022.

  1. Le_Poulet

    Le_Poulet

    Joined:
    May 18, 2017
    Posts:
    24
    Hi,
    Due to the future possible issues with google billing library V4, we need to upgrade the iap package from 3.x to 4.4.1. Everything is ok for android and ios, but we are facing problem with samsung. We are currently not using UDP and its seems we need to use it. What is the easiest way to do it? Can I keep android and ios code as it and just adding samsung with udp?
     
  2. JeffDUnity3D

    JeffDUnity3D

    Unity Technologies

    Joined:
    May 2, 2017
    Posts:
    14,446
    What problem with Samsung? I'm using a Samsung phone here without issue. I'm targeting Google Play on the device.
     
  3. Le_Poulet

    Le_Poulet

    Joined:
    May 18, 2017
    Posts:
    24
    Oh sorry.
    My issue is with the samsung store. We release on Ios App store, on Google play store and Galaxy store (samsung:) )
    Since the update the samsungstorelistener used in previous package is obselete.
     
  4. JeffDUnity3D

    JeffDUnity3D

    Unity Technologies

    Joined:
    May 2, 2017
    Posts:
    14,446
    Yes, you would need to use UDP in that case. I'm moving this thread to the UDP forum
     
unityunity